summaryrefslogtreecommitdiff
path: root/src/core/libs/lib-ui-interactive.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/core/libs/lib-ui-interactive.sh')
-rw-r--r--src/core/libs/lib-ui-interactive.sh21
1 files changed, 8 insertions, 13 deletions
diff --git a/src/core/libs/lib-ui-interactive.sh b/src/core/libs/lib-ui-interactive.sh
index b244a6e..d8d1796 100644
--- a/src/core/libs/lib-ui-interactive.sh
+++ b/src/core/libs/lib-ui-interactive.sh
@@ -1050,23 +1050,18 @@ generate_grub_menulst() {
cat >>$grubmenu <<EOF
-# (0) Arch Linux
-title Arch Linux
+# (0) Parabola GNU/Linux-Libre
+title Parabola GNU/Linux-Libre
root $grubdev
kernel $subdir/vmlinuz26 $kernel_parameters
initrd $subdir/kernel26.img
-# (1) Arch Linux
-title Arch Linux Fallback
+# (1) Parabola GNU/Linux-Libre
+title Parabola GNU/Linux-Libre Fallback
root $grubdev
kernel $subdir/vmlinuz26 $kernel_parameters
initrd $subdir/kernel26-fallback.img
-# (2) Windows
-#title Windows
-#rootnoverify (hd0,0)
-#makeactive
-#chainloader +1
EOF
}
@@ -1194,7 +1189,7 @@ interactive_select_source() {
esac
if [ "$var_PKG_SOURCE_TYPE" = "cd" ]; then
- TITLE="Arch Linux CDROM or OTHER SOURCE Installation"
+ TITLE="Parabola GNU/Linux-Libre CDROM or OTHER SOURCE Installation"
notify "Packages included on this disk have been mounted to /src/core/pkg. If you wish to use your own packages from another source, manually mount them there."
if [ ! -d /src/core/pkg ]; then
notify "Package directory /src/core/pkg is missing!"
@@ -1202,7 +1197,7 @@ interactive_select_source() {
fi
echo "Using CDROM for package installation" >$LOG
else
- TITLE="Arch Linux NET (FTP/HTTP) Installation"
+ TITLE="Parabola GNU/Linux-Libre NET (FTP/HTTP) Installation"
notify "If you wish to load your ethernet modules manually, please do so now in an another terminal."
fi
return 0
@@ -1213,13 +1208,13 @@ interactive_select_source() {
# args: none
# returns: nothing
interactive_select_mirror() {
- notify "Keep in mind ftp.archlinux.org is throttled.\nPlease select another mirror to get full download speed."
+ notify "Keep in mind that these are the only mirrors that contain Free Software only."
# FIXME: this regex doesn't honor commenting
MIRRORS=$(egrep -o '((ftp)|(http))://[^/]*' "${var_MIRRORLIST}" | sed 's|$| _|g')
ask_option no "Mirror selection" "Select an FTP/HTTP mirror" required $MIRRORS "Custom" "_" || return 1
local _server=$ANSWER_OPTION
if [ "${_server}" = "Custom" ]; then
- ask_string "Enter the full URL to core repo." "ftp://ftp.archlinux.org/core/os/$var_ARCH" || return 1
+ ask_string "Enter the full URL to core repo." "http://repo.parabolagnulinux.org/core/os/$var_ARCH" || return 1
var_SYNC_URL=${ANSWER_STRING/\/core\///\$repo/} #replace '/core/' by '/$repo/'
else
# Form the full URL for our mirror by grepping for the server name in